.b-button {
  display: inline-block;
  border-radius: 30px;
  text-align: center;
  padding: 0 30px;
  height: 58px;
  line-height: 58px;
  background-color: $blue-dark;
  border: 2px solid $blue-dark;
  color: $text;
  cursor: pointer;
  text-transform: uppercase;
  letter-spacing: 3px;
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  font-size: 16px;
  box-sizing: border-box;

  &--disabled {
    background-color: $gray;
    border: 2px solid $gray;

    &:hover {
      background-color: $gray !important;
      color: $text !important;
    }
  }

  &--small {
    height: 38px;
    line-height: 38px;
    font-size: 12px;
    padding: 0 15px;
    border: 1px solid $blue-dark;
  }

  &--full-width {
    display: block;
    width: 100%;
  }

  &:hover {
    background-color: transparent;
    color: $blue-dark;
  }
}